Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • account_uuid string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • name string

      Folder name

    • slug string

      Slug of the folder name

    • path string

      Folder path

    • clients_read boolean

      Denotes whether clients can access this folder and files

    • clients_write boolean

      Denotes whether clients can upload files to this folder

    • show_client_permissions boolean

      Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

    • is_system_folder boolean

      Denotes if this folder is a system folder

    • is_pseudo_folder boolean

      Denotes if this folder is a pseudo folder

    • is_root_folder boolean

      Denotes if this folder is a root folder of a documentable item

    • documentable_type string

      The documentable type such as account/plan/case/etc the file was uploaded to

    • documentable_uuid string

      The UUID of the documentable resource

    • documentable string

      The documentable the file was uploaded to

    • participants_count integer

      Number of accounts this folder has been directly shared with

    • participants array[object]

      Participants whom this folder has been directly shared with.

      Hide participants attributes Show participants attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • write boolean
    • folders_count integer

      Number of subfolders within the folder

    • folders array[object]

      Subfolders within the folder.

      Hide folders attributes Show folders attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • path string
      • clients_read boolean
      • clients_write boolean
      • show_client_permissions boolean
      • is_system_folder boolean
      • is_pseudo_folder boolean
      • is_root_folder boolean
      • documentable_type string
      • documentable_uuid string
      • documentable string
      • participants_count integer
      • participants string
      • folders_count integer
      • folders string
      • files_count integer
      • files string
      • parents string
      • ancestors string
      • children string
      • depth integer
      • owned boolean
    • files_count integer

      Number of files stored in the folder

    • files array[object]

      Files stored in the folder.

      Hide files attributes Show files attributes object
      • uuid string
      • created_at string
      • original_created_at string
      • updated_at string
      • uploaded_at string
      • status string
      • filename string
      • name string
      • extension string
      • type string
      • size string
      • path string
      • last_modified string
      • progress string
      • download_url string
      • folder_name string
      • folder string
      • documentable_type string
      • documentable string
      • navigator object
        Hide navigator attributes Show navigator attributes object
        • model_type string
        • model_uuid string
      • firm string
      • account string
      • tags string
    • parents array[object]

      Parent folders.

      Hide parents attributes Show parents attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • path string
      • clients_read boolean
      • clients_write boolean
      • show_client_permissions boolean
      • is_system_folder boolean
      • is_pseudo_folder boolean
      • is_root_folder boolean
      • documentable_type string
      • documentable_uuid string
      • documentable string
      • participants_count integer
      • participants string
      • folders_count integer
      • folders string
      • files_count integer
      • files string
      • parents string
      • ancestors string
      • children string
      • depth integer
      • owned boolean
    • ancestors array[object]

      All parents folders up the folder hierarchy structure.

      Hide ancestors attributes Show ancestors attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • path string
      • clients_read boolean
      • clients_write boolean
      • show_client_permissions boolean
      • is_system_folder boolean
      • is_pseudo_folder boolean
      • is_root_folder boolean
      • documentable_type string
      • documentable_uuid string
      • documentable string
      • participants_count integer
      • participants string
      • folders_count integer
      • folders string
      • files_count integer
      • files string
      • parents string
      • ancestors string
      • children string
      • depth integer
      • owned boolean
    • children array[object]

      Subfolders within the folder.

      Hide children attributes Show children attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • path string
      • clients_read boolean
      • clients_write boolean
      • show_client_permissions boolean
      • is_system_folder boolean
      • is_pseudo_folder boolean
      • is_root_folder boolean
      • documentable_type string
      • documentable_uuid string
      • documentable string
      • participants_count integer
      • participants string
      • folders_count integer
      • folders string
      • files_count integer
      • files string
      • parents string
      • ancestors string
      • children string
      • depth integer
      • owned boolean
    • depth integer

      How many levels deep there are to this folder hierarchy structure

    • owned boolean

      Is true if the authenticated account in the request has created this folder

GET /api/v1/account/{account_uuid}/documents
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/account/6ff8f7f6-1eb3-3525-be4a-3932c805afed/documents' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "uuid": "34ecd6f7-7248-4eaa-969d-92b1a8da8031",
  "created_at": "2026-05-22T15:30:20+01:00",
  "updated_at": "2026-05-22T15:30:20+01:00",
  "name": "Important Documents",
  "slug": "important-documents",
  "path": "Codepotato/Important Documents",
  "clients_read": true,
  "clients_write": true,
  "show_client_permissions": true,
  "is_system_folder": true,
  "is_pseudo_folder": true,
  "is_root_folder": true,
  "documentable_type": "account",
  "documentable_uuid": "account",
  "documentable": "Object",
  "participants_count": 3,
  "participants": [
    {
      "uuid": "f16b696f-d348-48c6-8c02-45c1dc27c135",
      "created_at": "2026-05-22T15:30:20+01:00",
      "updated_at": "2026-05-22T15:30:20+01:00",
      "name": "Gareth Thompson",
      "write": true
    }
  ],
  "folders_count": 5,
  "folders": [
    {
      "uuid": "5f00dfca-2b71-4d0e-9787-9fce9a4c5700",
      "created_at": "2026-05-22T15:30:20+01:00",
      "updated_at": "2026-05-22T15:30:20+01:00",
      "name": "Important Documents",
      "slug": "important-documents",
      "path": "Codepotato/Important Documents",
      "clients_read": true,
      "clients_write": true,
      "show_client_permissions": true,
      "is_system_folder": true,
      "is_pseudo_folder": true,
      "is_root_folder": true,
      "documentable_type": "account",
      "documentable_uuid": "account",
      "documentable": "Object",
      "participants_count": 3,
      "participants": "App\\Http\\Resources\\FolderParticipantResource",
      "folders_count": 5,
      "folders": "App\\Http\\Resources\\FolderResource",
      "files_count": 8,
      "files": "App\\Http\\Resources\\FileResource",
      "parents": "App\\Http\\Resources\\FolderResource",
      "ancestors": "App\\Http\\Resources\\FolderResource",
      "children": "App\\Http\\Resources\\FolderResource",
      "depth": 5,
      "owned": false
    }
  ],
  "files_count": 8,
  "files": [
    {
      "uuid": "33778dd9-3331-4bbd-9925-539c67d009e2",
      "created_at": "2026-05-22T15:30:20+01:00",
      "original_created_at": "2026-05-22T15:30:20+01:00",
      "updated_at": "2026-05-22T15:30:20+01:00",
      "uploaded_at": "2026-05-22T15:30:20+01:00",
      "status": "uploaded",
      "filename": "Welcome to Plannr.pdf",
      "name": "Welcome to Plannr",
      "extension": "pdf",
      "type": "type",
      "size": "21691783",
      "path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
      "last_modified": "2026-05-22T15:30:20+01:00",
      "progress": "100",
      "download_url": "https://api.plannrcrm.com/file/417ce890-fb70-4cc9-a88c-6b48b23f7a0a/download",
      "folder_name": "folder 2",
      "folder": "App\\Http\\Resources\\FolderResource",
      "documentable_type": "account",
      "documentable": "Object",
      "navigator": {
        "model_type": "account",
        "model_uuid": "90bc0685-98a2-4b03-9eae-ae89e845bb5e"
      },
      "firm": "App\\Http\\Resources\\FirmResource",
      "account": "App\\Http\\Resources\\MinimalAccountResource",
      "tags": "App\\Http\\Resources\\TagResource"
    }
  ],
  "parents": [
    {
      "uuid": "7193df90-6f9f-48c0-897b-cce1c41cd973",
      "created_at": "2026-05-22T15:30:20+01:00",
      "updated_at": "2026-05-22T15:30:20+01:00",
      "name": "Important Documents",
      "slug": "important-documents",
      "path": "Codepotato/Important Documents",
      "clients_read": true,
      "clients_write": true,
      "show_client_permissions": true,
      "is_system_folder": true,
      "is_pseudo_folder": true,
      "is_root_folder": true,
      "documentable_type": "account",
      "documentable_uuid": "account",
      "documentable": "Object",
      "participants_count": 3,
      "participants": "App\\Http\\Resources\\FolderParticipantResource",
      "folders_count": 5,
      "folders": "App\\Http\\Resources\\FolderResource",
      "files_count": 8,
      "files": "App\\Http\\Resources\\FileResource",
      "parents": "App\\Http\\Resources\\FolderResource",
      "ancestors": "App\\Http\\Resources\\FolderResource",
      "children": "App\\Http\\Resources\\FolderResource",
      "depth": 5,
      "owned": false
    }
  ],
  "ancestors": [
    {
      "uuid": "1bc2178c-8c05-4c9a-ac96-4ff09ac444b0",
      "created_at": "2026-05-22T15:30:20+01:00",
      "updated_at": "2026-05-22T15:30:20+01:00",
      "name": "Important Documents",
      "slug": "important-documents",
      "path": "Codepotato/Important Documents",
      "clients_read": true,
      "clients_write": true,
      "show_client_permissions": true,
      "is_system_folder": true,
      "is_pseudo_folder": true,
      "is_root_folder": true,
      "documentable_type": "account",
      "documentable_uuid": "account",
      "documentable": "Object",
      "participants_count": 3,
      "participants": "App\\Http\\Resources\\FolderParticipantResource",
      "folders_count": 5,
      "folders": "App\\Http\\Resources\\FolderResource",
      "files_count": 8,
      "files": "App\\Http\\Resources\\FileResource",
      "parents": "App\\Http\\Resources\\FolderResource",
      "ancestors": "App\\Http\\Resources\\FolderResource",
      "children": "App\\Http\\Resources\\FolderResource",
      "depth": 5,
      "owned": false
    }
  ],
  "children": [
    {
      "uuid": "af8d7518-7e5b-4521-b5be-4f1c73ea1731",
      "created_at": "2026-05-22T15:30:20+01:00",
      "updated_at": "2026-05-22T15:30:20+01:00",
      "name": "Important Documents",
      "slug": "important-documents",
      "path": "Codepotato/Important Documents",
      "clients_read": true,
      "clients_write": true,
      "show_client_permissions": true,
      "is_system_folder": true,
      "is_pseudo_folder": true,
      "is_root_folder": true,
      "documentable_type": "account",
      "documentable_uuid": "account",
      "documentable": "Object",
      "participants_count": 3,
      "participants": "App\\Http\\Resources\\FolderParticipantResource",
      "folders_count": 5,
      "folders": "App\\Http\\Resources\\FolderResource",
      "files_count": 8,
      "files": "App\\Http\\Resources\\FileResource",
      "parents": "App\\Http\\Resources\\FolderResource",
      "ancestors": "App\\Http\\Resources\\FolderResource",
      "children": "App\\Http\\Resources\\FolderResource",
      "depth": 5,
      "owned": false
    }
  ],
  "depth": 5,
  "owned": false
}